function OnWarpEnter()
	PlaySound("Sounds/SFX/A_Water1.ogg",-1)
	SetMarker("Isis\\Warp_0009.wp",0,0)
	SetMarker("Isis\\Warp_0006.wp",0,0)
	SetMarker("LEAVEGOD_IS_008",4,0)

	if not BeenIn_is_008 then
		LookAt(335,002)
		BeenIn_is_008=true
		StartAnimationPart("I3I1",0,90,1,true)
		DrawText("ISIS0736","ISIS0736.ogg")
		DrawText("ISIS0737","ISIS0737.ogg")
		DrawText("ISIS0738","ISIS0738.ogg")
	else
		StartAnimationPart("I3I1",60,90,-1,true)
	end
	
	if not O_nut_is_008 then
		SetMarker("n1I1", 2, 0)
		PutObject("n1I1")
	end
	
	if not O_shu_is_008 then
		SetMarker("s1I1", 2, 0)
		PutObject("s1I1")
	end
	
	if not O_geb_is_008 then
		SetMarker("g1I1", 2, 0)
		PutObject("g1I1")
	end

end

function OnWarpLeave()
end

function OnAnimationFinished(objectName)
	if objectName=="I3I1" then
		StartAnimationPart("I3I1",60,90,-1,true)
	
	end	
	
end

function OnWarpObjectHit(objectName)
	if objectName == "g1I1" then

		if not O_geb_is_008 and not GodTaken_is_008 then
			AddToBag("Geb")
			GodTaken_is_008=true
			SetMarker("g1I1",-1,0)
			RemoveObject("g1I1")
			O_geb_is_008=true
		else
			DrawText("MAIA0744","MAIA0744.ogg")
		end

------------------------------------------------------------
	elseif objectName == "g2I1" then

------------------------------------------------------------
	elseif objectName == "n1I1" then

			if not O_nut_is_008  and not GodTaken_is_008 then
			AddToBag("Nout")
			GodTaken_is_008=true
			SetMarker("n1I1",-1,0)
			RemoveObject("n1I1")
			O_nut_is_008=true
		else
			DrawText("MAIA0744","MAIA0744.ogg")
		end

------------------------------------------------------------
	elseif objectName == "n2I1" then

------------------------------------------------------------
	elseif objectName == "r1I1" then

------------------------------------------------------------
	elseif objectName == "s1I1" then

		if not O_shu_is_008  and not GodTaken_is_008 then
			AddToBag("Shou")
			GodTaken_is_008=true
			SetMarker("s1I1",-1,0)
			RemoveObject("s1I1")
			O_shu_is_008=true
		else
			DrawText("MAIA0744","MAIA0744.ogg")
		end

------------------------------------------------------------
	elseif objectName == "s2I1" then

------------------------------------------------------------
	elseif objectName == "I3I1" then

------------------------------------------------------------
	elseif objectName == "POI1" then

------------------------------------------------------------
	elseif objectName == "WAi1" then

------------------------------------------------------------
	elseif objectName == "l1I1" then

------------------------------------------------------------
	elseif objectName == "l2I1" then

------------------------------------------------------------
	elseif objectName == "l3I1" then

------------------------------------------------------------	
	elseif objectName == "3D\\LEAVEGOD_IS_008" then
		
		if Selected("Nout") then
			PutObject("n1I1")
			--RemoveObject("s1I1")
			--PutObject("s1I1")
			SetMarker("n1I1",2,0)
			RemoveFromBag()
			O_nut_is_008=false
			GodTaken_is_008=false
		
		elseif Selected("Shou") then
			PutObject("s1I1")
			SetMarker("s1I1",2,0)
			RemoveFromBag()
			O_shu_is_008=false
			GodTaken_is_008=false
		
		elseif Selected("Geb") then
			PutObject("g1I1")
			SetMarker("g1I1",2,0)
			RemoveFromBag()
			O_geb_is_008=false
			GodTaken_is_008=false

		else 
			DrawText("MAIA0170","MAIA0170.ogg")
		end
	end

	if objectName=="3D\\Isis\\Warp_0009.wp" then
		ChangeWarp(objectName)
	end
	if objectName=="3D\\Isis\\Warp_0006.wp" then
		ChangeWarp(objectName)
	end
end
